package com.dxhy.erp.entity;

import java.math.BigDecimal;

/**
 * 自动签收
 * 
 * @author JLY
 *
 */
public class AutomaticSign extends BasePojo {

    private static final long serialVersionUID = -5214142142760869393L;
    /** 开票日期 */
    private String invoiceDate;
    /** 发票代码 */
    private String invoiceCode;
    /** 发票号码 */
    private String invoiceNo;
    /** 购方税号 */
    private String gfTaxNo;
    /** 销方税号 */
    private String xfTaxNo;
    /** 发票金额 */
    private BigDecimal invoiceAmount;
    /** 发票税额 */
    private BigDecimal taxAmount;
    /** 价税合计 */
    private BigDecimal totalAmount;
    /** 扫描路径id */
    private Long scanPathId;
    /** 扫描路径名称 */
    private String scanPath;
    /** 底账处理状态 */
    private Integer handleState;
    /** 扫苗表签收状态 */
    private Integer invoiceStatus;
    /** uuid */
    private String uuId;

    public String getUuId() {
        return uuId;
    }

    public void setUuId(String uuId) {
        this.uuId = uuId;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getGfTaxNo() {
        return gfTaxNo;
    }

    public void setGfTaxNo(String gfTaxNo) {
        this.gfTaxNo = gfTaxNo;
    }

    public String getXfTaxNo() {
        return xfTaxNo;
    }

    public void setXfTaxNo(String xfTaxNo) {
        this.xfTaxNo = xfTaxNo;
    }

    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Long getScanPathId() {
        return scanPathId;
    }

    public void setScanPathId(Long scanPathId) {
        this.scanPathId = scanPathId;
    }

    public String getScanPath() {
        return scanPath;
    }

    public void setScanPath(String scanPath) {
        this.scanPath = scanPath;
    }

    public Integer getHandleState() {
        return handleState;
    }

    public void setHandleState(Integer handleState) {
        this.handleState = handleState;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

}
